<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepci',

    /*
     * Package.
     */
    'package'   => 'notification',

    /*
     * Modules.
     */
    'modules'   => ['notification'],

    
    'notification'       => [
        'model' => [
            'model'                 => \Litepci\Notification\Models\Notification::class,
            'table'                 => 'notifications',
            'presenter'             => \Litepci\Notification\Repositories\Presenter\NotificationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'employee_id',  'course_id',  'table_id',  'content',  'request',  'read_status',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'notification/notification',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepci',
            'package'   => 'Notification',
            'module'    => 'Notification',
        ],

    ],
];
