<?php

namespace Litepci\Notification\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NotificationTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Notification\Models\Notification $notification)
    {
        return [
            'id'                => $notification->getRouteKey(),
            'key'               => [
                'public'    => $notification->getPublicKey(),
                'route'     => $notification->getRouteKey(),
            ], 
            'id'                => $notification->id,
            'company_id'        => $notification->company_id,
            'employee_id'       => $notification->employee_id,
            'course_id'         => $notification->course_id,
            'table_id'          => $notification->table_id,
            'content'           => $notification->content,
            'request'           => $notification->request,
            'read_status'       => $notification->read_status,
            'status'            => $notification->status,
            'created_at'        => $notification->created_at,
            'updated_at'        => $notification->updated_at,
            'deleted_at'        => $notification->deleted_at,
            'url'               => [
                'public'    => trans_url('notification/'.$notification->getPublicKey()),
                'user'      => guard_url('notification/notification/'.$notification->getRouteKey()),
            ], 
            'status'            => trans('app.'.$notification->status),
            'created_at'        => format_date($notification->created_at),
            'updated_at'        => format_date($notification->updated_at),
        ];
    }
}